// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1

Rectangle {
   id: rectangle1
   width: 798
   height: 190
//   radius: 10
   color: "#8a8c8d"
   property color buttonColor: "#20b953"

   signal scheduleClicked()
   signal actionClicked(int id)

   Grid
   {
      x: 34
      y: 10
      width: 756
      height: 170
      anchors.left: parent.left
      anchors.top: parent.top
      anchors.leftMargin: 34
      anchors.topMargin: 10
      columns: 5
      rows: 2
      spacing: 24
      ShadowButton { width: 125;color:buttonColor; text:"SQUEEZE"
         onClicked:
         {
            actionClicked(3);
         }
      }
      ShadowButton { width: 125;color:buttonColor; text:"UP 1"}
      ShadowButton { width: 125;color:buttonColor; text:"PULSE 1"
         onClicked:
         {
            actionClicked(1);
         }
      }
      ShadowButton { width: 125;color:buttonColor; text:"DOWN 1"}
      ShadowButton { width: 125;color:buttonColor; text:"COOL"}
      ShadowButton { width: 125;color:buttonColor; text:"UP 2"}
      ShadowButton { width: 125;color:buttonColor; text:"PULSE 2"
         onClicked:
         {
            actionClicked(2);
         }
      }
      ShadowButton { width: 125;color:buttonColor; text:"DOWN 2"}
      ShadowButton { width: 125;color:buttonColor; text:"HOLD"
         onClicked:
         {
            actionClicked(4);
         }
      }
      ShadowButton
      {
          width: 125
         color:buttonColor; text:"SCHEDULE"
         onClicked:
         {
            scheduleClicked();
         }
      }
   }
}
